require "option_parser"
require "pretty_print"
require "openai"
require "spinner"

require "./prompts/zone"
require "./parsers/prompt_string"
require "./context_builders/prompt_string"
# require "./context_builders/prompt_dir"
require "./context_builders/openai_chat"
require "./context_builders/openai_insert"
require "./storyteller"

storyteller = Storyteller.new()
storyteller.prepare()
storyteller.run()

